"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const optionToString_1 = require("./optionToString");
const getCommandSynopsis = function ({ command }) {
    const requiredOptions = command.optionDefinitions.filter((optionDefinition) => optionDefinition.defaultValue === undefined && !optionDefinition.defaultOption);
    const optionalOptions = command.optionDefinitions.filter((optionDefinition) => optionDefinition.defaultValue !== undefined && !optionDefinition.defaultOption);
    const defaultOption = command.optionDefinitions.find((optionDefinition) => optionDefinition.defaultOption === true);
    const requiredOptionsString = requiredOptions.
        map((option) => optionToString_1.optionToString({ option })).
        join(' ');
    const optionalOptionsString = optionalOptions.
        map((option) => optionToString_1.optionToString({ option })).
        join(' ');
    let synopsis = command.name;
    if (requiredOptionsString) {
        synopsis += ` ${requiredOptionsString}`;
    }
    if (optionalOptionsString) {
        synopsis += ` [${optionalOptionsString}]`;
    }
    if (defaultOption) {
        synopsis += ` ${optionToString_1.optionToString({ option: defaultOption })}`;
    }
    return synopsis;
};
exports.getCommandSynopsis = getCommandSynopsis;
